Component
Retrieves the enterprise's component list with pagination.
Pagination
Offset-based paging (starts from 0)
limit: page size (min 1, max 100)
Check existence of the next page using hasNext in the response
Filter Conditions
categoryId: Category ID filter
name: Name search keyword (partial match)
sortType: Sort criteria (ID_DESC, ID_ASC, NAME_ASC, NAME_DESC, UPDATED_ASC, UPDATED_DESC)
Page number (starts from 0, offset paging)
Page size (min: 1, max: 100)
Category ID
Name search keyword
Sort Type
ID_DESCPossible values: All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/components?offset=1&limit=1 HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Creates a new component.
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
POST /api/v1/components HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Uploads assets for a component.
Component ID
Component asset type
File list
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
POST /api/v1/components/{id}/assets HTTP/1.1
Host: openapi.archisketch.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 48
{
"assetType": "PREVIEW_IMAGE",
"files": [
"binary"
]
}All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Retrieves component and modeling information by ID.
Component ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/components/{id} HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Modifies the basic information of a component.
Component ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
PATCH /api/v1/components/{id} HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Modifies the modeling information connected to the component.
Component ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
PATCH /api/v1/components/{id}/modeling HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Modifies the editor settings of a component.
Component ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
PATCH /api/v1/components/{id}/editor HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Retrieves the flat BOM structure of a component by ID.
Component ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/components/{id}/bom HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Last updated
Was this helpful?

